## dolibarr-14.0.1.zip

=== htdocs/includes/stripe/stripe-php/Makefile ===
export PHPDOCUMENTOR_VERSION := v3.0.0-rc
export PHPSTAN_VERSION := 0.12.59

vendor: composer.json
	composer install

vendor/bin/phpstan: vendor
	curl -sfL https://github.com/phpstan/phpstan/releases/download/$(PHPSTAN_VERSION)/phpstan.phar -o vendor/bin/phpstan
	chmod +x vendor/bin/phpstan

vendor/bin/phpdoc: vendor
	curl -sfL https://github.com/phpDocumentor/phpDocumentor/releases/download/$(PHPDOCUMENTOR_VERSION)/phpDocumentor.phar -o vendor/bin/phpdoc
	chmod +x vendor/bin/phpdoc

test: vendor
	vendor/bin/phpunit
.PHONY: test

fmt: vendor
	vendor/bin/php-cs-fixer fix -v --using-cache=no .
.PHONY: fmt

fmtcheck: vendor
	vendor/bin/php-cs-fixer fix -v --dry-run --using-cache=no .
.PHONY: fmtcheck

phpdoc: vendor/bin/phpdoc
	vendor/bin/phpdoc

phpstan: vendor/bin/phpstan
	php -d memory_limit=512M vendor/bin/phpstan analyse lib tests
.PHONY: phpstan

phpstan-baseline: vendor/bin/phpstan
	php -d memory_limit=512M vendor/bin/phpstan analyse lib tests --generate-baseline
.PHONY: phpstan-baseline

=== build/debian/control ===
Source: dolibarr
Section: web
Priority: optional
Maintainer: Laurent Destailleur (eldy) <eldy@users.sourceforge.net>
# Uploaders: Laurent Destailleur (eldy) <eldy@users.sourceforge.net>		# Only if differs from Maintainer
Standards-Version: 3.9.6
Homepage: https://www.dolibarr.org
Build-Depends: debhelper (>= 9), po-debconf
# This package need at least debian 7 or ubuntu 13.04 or any distribution based on this version
 
Package: dolibarr
Architecture: all
# For debian 7 or 8 or 9
Depends: libapache2-mod-php5 | libapache2-mod-php5filter | php5-cgi | php5-fpm | php5 | libapache2-mod-php | libapache2-mod-phpfilter | php-cgi | php-fpm | php,
    php5-cli | php-cli,
# Required PHP extensions
    php5-mysql | php5-mysqli | php-mysql | php-mysqli, php5-curl | php-curl, php5-gd | php-gd, php5-ldap | php-gd, php5-zip | php-zip,
# Required PHP libraries
    php-pear, php-mail-mime,
#    php-tcpdf,
#    libfpdf-tpl-php, php-fpdf,
#    libphp-adodb,
#    libnusoap-php,
#    libphp-pclzip,
# Required javascript libraries
#    javascript-common, libjs-jquery, libjs-jquery-ui, libjs-jquery-flot, ckeditor,
# Misc dependencies
#    fonts-dejavu-core | ttf-dejavu-core,
    xdg-utils,
    mariadb-client | virtual-mysql-client,
    ${misc:Depends},
    ${perl:Depends}
Recommends: apache2 | lighttpd | httpd,
    mariadb-server | virtual-mysql-server,
# Required PHP extensions for debian 9 but we can't add them into a Depends, it does not exists on debian 7 and 8
    php-xml, php-mbstring, php-intl
Suggests: www-browser, php5-geoip
Description: Web based software to manage a company or foundation
 Dolibarr ERP & CRM is an easy to use open source/free software package for 
 companies, foundations or freelances. It includes different 
 features for Enterprise Resource Planning (ERP) and Customer Relationship
 Management (CRM) but also for different other activities.
 .
 It's a web software you can install as a standalone program or on any web
 hosting provider to use it from anywhere with any web browser.
 .
 Dolibarr was designed to be easy to use. Only the features that you need
 are visible, depending on which modules were activated.
 .
 This is an example of most common used modules:
 .
 Customers, Suppliers or Prospects directory,
 Contacts directory,
 Orders management,
 Commercial proposals management,
 Invoices management,
 Products and services catalog,
 Stock management,
 Foundations members management,
 Bank accounts management,
 Point of Sale,
 Payments management,
 Commercial actions management,
 Contracts management,
 Standing orders management,
 Shipping management,
 Donations management,
 Bookmarks management,
 Mass Emailings,
 Reports,
 Wizards to export and import data,
 LDAP connectivity,
 PDF exports,
 And a lot more modules...
 .
 You can also add external modules from third parties or develop yours.

=== build/debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v

#export DH_COMPAT=7    # This is the debhelper compatability version to use, now defined into compat file


%:
	dh $@

# Replace standard debian package actions with a new one
########################################################

override_dh_auto_clean:
# Do nothing. Added to disable launchpad to use bugged dh_auto_clean search for ant

override_dh_auto_build:
# Do nothing. Added to disable launchpad to use bugged dh_auto_build search for ant

#override_dh_compress:
#	dh_compress --no-act -X.png

# We disable this for png file because it modify content of original file so make
# the dolibarr signature not valid.
override_dh_strip_nondeterminism:
	dh_strip_nondeterminism -X.png

override_dh_install:
	dh_install
	# Delete files
	rm -f  .buildpath
	rm -fr .cache
	rm -fr .git
	rm -f  .gitmodules
	rm -f  .gitignore
	rm -fr .project
	rm -fr .settings
	rm -f  build.xml
	rm -f  quickbuild.xml
	rm -f  pom.xml

	rm -f  htdocs/install/mssql/README
	rm -f  htdocs/install/mysql/README
	rm -f  htdocs/install/pgsql/README

	rm -fr dev/codesniffer
	rm -fr dev/codetemplates
	rm -fr dev/dbmodel
	rm -fr dev/initdata
	rm -fr dev/iso-normes
	rm -fr dev/ldap
	rm -fr dev/licence
	rm -fr dev/mail
	rm -fr dev/phpcheckstyle
	rm -fr dev/phpunit
	rm -fr dev/security
	rm -fr dev/spec
	rm -fr dev/test
	rm -fr dev/uml
	rm -fr dev/xdebug
	rm -f  dev/dolibarr_changes.txt
	rm -f  dev/README
	
	rm -f  doc/images/dolibarr_screenshot2.png
	rm -f  doc/images/dolibarr_screenshot3.png
	rm -f  doc/images/dolibarr_screenshot4.png
	rm -f  doc/images/dolibarr_screenshot5.png
	rm -f  doc/images/dolibarr_screenshot6.png
	rm -f  doc/images/dolibarr_screenshot7.png
	rm -f  doc/images/dolibarr_screenshot8.png
	rm -f  doc/images/dolibarr_screenshot9.png
	rm -f  doc/images/dolibarr_screenshot10.png
	rm -f  doc/images/dolibarr_screenshot11.png
	rm -f  doc/images/dolibarr_screenshot12.png

	rm -fr test

	rm -fr build/aps
	rm -fr build/dmg
	rm -fr build/doap
	rm -fr build/exe
	rm -fr build/launchpad
	rm -fr build/live
	rm -fr build/patch
	rm -fr build/perl
	rm -fr build/rpm
	rm -fr build/zip
	
	# clean from all PHP embedded libraries (we use package dependencies instead)
#	rm -fr htdocs/includes/adodbtime
#	rm -fr htdocs/includes/geoip
#	rm -fr htdocs/includes/nusoap
#	rm -fr htdocs/includes/odtphp/zip/pclzip
	# clean from all JS-CSS embedded libraries (we use package dependencies instead)
#	rm -fr htdocs/includes/ckeditor
#	rm -fr htdocs/includes/jquery/js
#	rm -fr htdocs/includes/jquery/css
#	rm -fr htdocs/includes/jquery/plugins/flot
	# clean from all embedded fonts (we use package dependencies instead)
#	rm -fr htdocs/includes/fonts

	# clean from useless files
	rm -fr htdocs/includes/jquery/plugins/multiselect
	rm -fr htdocs/includes/tcpdf/fonts/dejavu-fonts-ttf-2.33
	rm -fr htdocs/includes/tcpdf/fonts/freefont-20100919
	rm -fr htdocs/includes/tcpdf/fonts/utils
	# clean from files to avoid warning of missing dependencies
	rm -fr htdocs/includes/jquery/plugins/jqueryFileTree/connectors/jqueryFileTree.py

	# Licence files are already included into copyright file.
	rm -f  htdocs/includes/jquery/plugins/flot/LICENSE.txt
	rm -f  htdocs/includes/tcpdf/LICENSE.TXT

	# Drop unwanted executable permissions
	find debian/dolibarr/usr/share/dolibarr/htdocs -type f -print0 | \
	     xargs -0 chmod 644
	# Add missing executable permissions
	find debian/dolibarr/usr/share/dolibarr/scripts -type f -name '*.php' -print0 | \
	     xargs -0 chmod 755

override_dh_fixperms:
	dh_fixperms
	# Give rights to the webserver on the upload directory
	chown www-data:www-data debian/dolibarr/var/lib/dolibarr/documents
	chmod 2775 debian/dolibarr/var/lib/dolibarr/documents
